package org.holer.server.model;

import java.io.Serializable;


public class HolerLicense implements Serializable {
    private Long licenseId;
    private String userName;
    private String serialNum;
    private Long validDay;
    private String expireAt;
    private Long createAt;
    private Long portNum;

    public void setLicenseId(Long licenseId) {
        this.licenseId = licenseId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    public void setValidDay(Long validDay) {
        this.validDay = validDay;
    }

    public void setExpireAt(String expireAt) {
        this.expireAt = expireAt;
    }

    public void setCreateAt(Long createAt) {
        this.createAt = createAt;
    }

    public void setPortNum(Long portNum) {
        this.portNum = portNum;
    }

    public Long getLicenseId() {
        return this.licenseId;
    }


    public String getUserName() {
        return this.userName;
    }


    public String getSerialNum() {
        return this.serialNum;
    }


    public Long getValidDay() {
        return this.validDay;
    }


    public String getExpireAt() {
        return this.expireAt;
    }


    public Long getCreateAt() {
        return this.createAt;
    }


    public Long getPortNum() {
        return this.portNum;
    }
}
